#
# Conditional build:
%bcond_without	libdmapsharing4		# libdmapsharing 4 (3.9.x) instead of 3 (2.9.x)

%if %{with libdmapsharing4}
%define		libdmapsharing_ver	3.9.9
%else
%define		libdmapsharing_ver	2.9.12
%endif
Summary:	Collection of plugins for Grilo
Summary(pl.UTF-8):	Zestaw wtyczek dla Grilo
Name:		grilo-plugins
Version:	0.3.12
Release:	2
License:	LGPL v2.1+
Group:		Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo-plugins/0.3/%{name}-%{version}.tar.xz
# Source0-md5:	194957f6d0124ac77d4733b5c9191c7a
URL:		https://wiki.gnome.org/Projects/Grilo
BuildRequires:	avahi-glib-devel
BuildRequires:	avahi-gobject-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gmime-devel >= 2.6.0
BuildRequires:	gnome-online-accounts-devel >= 3.18.0
BuildRequires:	gom-devel >= 0.4
BuildRequires:	gperf
BuildRequires:	grilo-devel >= 0.3.8
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	json-glib-devel
BuildRequires:	libarchive-devel
BuildRequires:	libdmapsharing-devel >= %{libdmapsharing_ver}
%if %{with libdmapsharing4}
BuildRequires:	libdmapsharing-devel < 4.9
%else
BuildRequires:	libdmapsharing-devel < 3.9
%endif
BuildRequires:	libgcrypt-devel
BuildRequires:	libgdata-devel >= 0.9.1
BuildRequires:	libmediaart2-devel >= 1.9
BuildRequires:	liboauth-devel
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	lua53-devel >= 5.3.0
BuildRequires:	meson >= 0.37.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	totem-pl-parser-devel >= 3.4.1
BuildRequires:	tracker-devel >= 2.3.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	glib2 >= 1:2.44
Requires:	gmime >= 2.6.0
Requires:	gnome-online-accounts-libs >= 3.18.0
Requires:	gom >= 0.4
Requires:	grilo >= 0.3.8
Requires:	libdmapsharing >= %{libdmapsharing_ver}
Requires:	libgdata >= 0.9.1
Requires:	totem-pl-parser >= 3.4.1
Requires:	tracker >= 2.3.0
Suggests:	dleyna-server
Obsoletes:	totem-jamendo
Obsoletes:	totem-tracker
Obsoletes:	totem-upnp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Collection of plugins for Grilo implementing Grilo's API for various
multimedia content providers.

%description -l pl.UTF-8
Zestaw wtyczek dla Grilo, zawierających implementuje API Grilo dla
różnych dostawców treści multimedialnych.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%dir %{_libdir}/grilo-0.3
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlbookmarks.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlchromaprint.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrldaap.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrldleyna.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrldpap.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlfilesystem.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlflickr.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlfreebox.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlgravatar.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrljamendo.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrllocalmetadata.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlluafactory.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlmagnatune.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlmetadatastore.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlopensubtitles.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlopticalmedia.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlpodcasts.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlraitv.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlshoutcast.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlthetvdb.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrltmdb.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrltracker.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlvimeo.so
%attr(755,root,root) %{_libdir}/grilo-0.3/libgrlyoutube.so
%dir %{_datadir}/grilo-plugins
%dir %{_datadir}/grilo-plugins/grl-lua-factory
%{_datadir}/grilo-plugins/grl-lua-factory/grl-acoustid.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-appletrailers.gresource
%{_datadir}/grilo-plugins/grl-lua-factory/grl-appletrailers.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-euronews.gresource
%{_datadir}/grilo-plugins/grl-lua-factory/grl-euronews.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-guardianvideos.gresource
%{_datadir}/grilo-plugins/grl-lua-factory/grl-guardianvideos.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-itunes-podcast.gresource
%{_datadir}/grilo-plugins/grl-lua-factory/grl-itunes-podcast.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-lastfm-cover.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-musicbrainz-coverart.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-radiofrance.gresource
%{_datadir}/grilo-plugins/grl-lua-factory/grl-radiofrance.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-steam-store.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-theaudiodb-cover.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-thegamesdb.lua
%{_datadir}/grilo-plugins/grl-lua-factory/grl-video-title-parsing.lua

%dir %{_datadir}/help/C/examples
%{_datadir}/help/C/examples/example-tmdb.c
%lang(cs) %dir %{_datadir}/help/cs/examples
%lang(cs) %{_datadir}/help/cs/examples/example-tmdb.c
%lang(da) %dir %{_datadir}/help/da/examples
%lang(da) %{_datadir}/help/da/examples/example-tmdb.c
%lang(de) %dir %{_datadir}/help/de/examples
%lang(de) %{_datadir}/help/de/examples/example-tmdb.c
%lang(es) %dir %{_datadir}/help/es/examples
%lang(es) %{_datadir}/help/es/examples/example-tmdb.c
%lang(pl) %dir %{_datadir}/help/pl/examples
%lang(pl) %{_datadir}/help/pl/examples/example-tmdb.c
%lang(pt_BR) %dir %{_datadir}/help/pt_BR/examples
%lang(pt_BR) %{_datadir}/help/pt_BR/examples/example-tmdb.c
%lang(sv) %dir %{_datadir}/help/sv/examples
%lang(sv) %{_datadir}/help/sv/examples/example-tmdb.c
%lang(uk) %dir %{_datadir}/help/uk/examples
%lang(uk) %{_datadir}/help/uk/examples/example-tmdb.c
%{_pkgconfigdir}/grilo-plugins-0.3.pc
%changelog
* Tue Sep 08 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grilo-plugins.git;a=log;h=master

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 1d98ab4
- package missing dirs, lang() tags; release 2

* Fri Sep 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 49bb98c
- updated to 0.3.12
- removed obsolete libdmapsharing4 patch

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 27e8410
- updated to 0.3.11

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 6391704
- default to libdmapsharing4

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 519fb69
- updated to 0.3.10 (GNOME 3.34: requires tracker 2.3.0)

* Wed Jul 24 2019 Jakub Bogusz <qboosh@pld-linux.org> b82cf78
- updated to 0.3.9
- libdmapsharing 4 under bcond

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 5d180b4
- added libdmasharing4 patch (port to libdmapsharing-4.0 API); release 3

* Tue Jan 22 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> a9aafd0
- Added missing directories

* Tue Jan 22 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 29767ba
- Updated to 0.3.8

* Thu Nov 23 2017 Jan Rękorajski <baggins@pld-linux.org> 510ee90
- up to 0.3.5

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> cd6c443
- updated to 0.3.4

* Sun Jan 29 2017 Jakub Bogusz <qboosh@pld-linux.org> ae85ad2
- updated to 0.3.3

* Fri Jun 17 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 714e217
- Update to 0.3.2

* Fri Jun 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 7c5851a
- BR gettext-tools for *.po compilation

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 2876af3
- Update to 0.3.1

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 2312d15
- updated to 0.2.17

* Thu Dec 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 26d727c
- S: dleyna-server (for dleyna plugin). Release 2

* Tue Oct 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 31a8c7d
- updated to 0.2.16
- added sh patch (POSIX sh compatibility)

* Thu Oct 09 2014 Marcin Banasiak <marcin.banasiak@gmail.com> df7f2a8
- Release 2

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 8c95063
- updated to 0.2.13

